summaryrefslogtreecommitdiffstats
path: root/kalyptus/findperl
diff options
context:
space:
mode:
Diffstat (limited to 'kalyptus/findperl')
-rwxr-xr-xkalyptus/findperl17
1 files changed, 17 insertions, 0 deletions
diff --git a/kalyptus/findperl b/kalyptus/findperl
new file mode 100755
index 00000000..451758d7
--- /dev/null
+++ b/kalyptus/findperl
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+test -f perlbin && rm perlbin
+
+for p in `echo $PATH | tr ":" " "`
+do
+ if [ -x $p/perl ]
+ then
+ if $p/perl -e 'require 5.000;'
+ then
+ echo $p/perl > perlbin
+ exit 0
+ fi
+ fi
+
+done
+exit 1